Bug 1674825 - dpdk: FTBFS in Fedora rawhide/f30
Summary: dpdk: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dpdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1677000
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:05 UTC by Fedora Release Engineering
Modified: 2019-02-16 17:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-16 17:19:25 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:05 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:06 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 17:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:05:55 UTC
dpdk failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32377253


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix dpdk at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dpdk will be orphaned. Before branching of Fedora 31,
dpdk will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:05:59 UTC
Created attachment 1529756 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:06:00 UTC
Created attachment 1529757 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:06:01 UTC
Created attachment 1529758 [details]
state.log

Comment 4 Neil Horman 2019-02-13 19:33:47 UTC
code issues are resolved, but dpdk seems to have uncovered what I think is a bug in doxygen (see bz 1677000)

Comment 5 Igor Gnatenko 2019-02-16 17:19:25 UTC
There has been at least one successfull build after mass rebuild.

dpdk-17.11.2-6.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1209219


Note You need to log in before you can comment on or make changes to this bug.